# Upstream: Max Howell <filelight$methylblue,com>

Summary: Graphical disk usage statistics
Name: filelight
Version: 1.9
Release: 6.rc3%{?dist}.1
License: GPLv2+
Group: Applications/System
URL: http://www.methylblue.com/filelight/

%define upstreamversion %{version}-rc3
Source: http://www.methylblue.com/filelight/packages/filelight-%{upstreamversion}.tgz
Patch0: filelight_part.desktop.diff
Patch1: mainWindow.cpp.diff
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: kdelibs-devel kdebase-devel
BuildRequires: desktop-file-utils qimageblitz-devel
Requires: hicolor-icon-theme

%description
Filelight graphically represents a file system as a set of concentric
segmented-rings, indicating where diskspace is being used. Segments
expanding from the center represent files (including directories),
with each segment's size being proportional to the file's size and
directories having child segments.

%prep
%define directory %{name}-%{version}rc3
%setup -q -n %{directory}
%patch0 -p0
%patch1 -p0

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}  VERBOSE=1


%install
%{__rm} -rf %{buildroot}
mkdir %{buildroot}
%{__make} install DESTDIR="%{buildroot}" -C %{_target_platform}
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  \
  --dir ${RPM_BUILD_ROOT}%{_kde4_datadir}/applications/kde4 \
  --vendor=""               \
  --delete-original                                     \
  ${RPM_BUILD_ROOT}%{_kde4_datadir}/applications/kde4/filelight.desktop

desktop-file-install --vendor="" \
    --dir=$RPM_BUILD_ROOT%{_kde4_datadir}/kde4/services \
    $RPM_BUILD_ROOT%{_kde4_datadir}/kde4/services/filelight_part.desktop


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
#%doc %{_docdir}/HTML/en/filelight/
%{_datadir}/config/filelightrc
%{_kde4_bindir}/filelight
%{_kde4_datadir}/applications/kde4/filelight.desktop
%{_kde4_libdir}/kde4/filelightpart.so
%{_kde4_datadir}/kde4/apps/filelightpart/
%{_kde4_appsdir}/filelight
%{_kde4_iconsdir}/hicolor/*/*/filelight.png
%{_kde4_iconsdir}/hicolor/*/*/view_filelight.png
%{_kde4_datadir}/kde4/services/filelight*.desktop
##%{_kde4_iconsdir}/locolor/*/*/filelight.png


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-6.rc3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep  7 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-6.rc3
- Patch to mainWindow.cpp for gcc4.5

* Sat Jan  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-5.rc3
- Drop filelight.ChangeLog.diff

* Sat Jan  2 2010 Neal Becker <ndbecker2@gmail.com> - 1.9-4.rc3
- fix directory

* Sun Aug  2 2009 Neal Becker <ndbecker2@gmail.com> - 1.9-3.rc2
- fix some rpmlint complaints:
- Follow cmake_kde4 recipe
  untabify
  convert ChangeLog to utf8
  don't mark filelightrc as config

* Fri Jul 31 2009 Neal Becker <ndbecker2@gmail.com> - 1.9-2.rc2
- Updates for kde4
- Update to 1.9rc2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Neal Becker <ndbecker2@gmail.com> - 1.0-15
- use noreplace on config

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 18 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.0-13
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0-12
- Autorebuild for GCC 4.3

* Thu Jan  3 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-11
- Make that br kdelibs3-devel

* Thu Jan  3 2008 Neal Becker <ndbecker2@gmail.com> - 1.0-9
- BR qt-devel for /etc/profile.d/qt.sh

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.0-9
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 11 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-8
- Add --delete-original to desktop-file-install
- Add gtk-update-icon-cache
- fix defattr

* Sat Sep  9 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-7
- Cleanup
- Add req hicolor-icon-theme
- find_lang removed
- qt-devel BR removed

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-6
- oops, config is for filelightrc
- filelight.desktop patch fed upstream

* Wed Sep  6 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-5
- desktop-install-file per rdieter@math.unl.edu

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-4
- Put filelightrc in datadir/config

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-3
- Add dist to release tag
- add delete-original to desktop-file-install
- Fix changelog entries (no macros)

* Tue Sep  5 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-2
- remove files -f
- patch filelight.desktop (remove space)
- mv filelightrc to sysconfdir
- fix buildroot
- setup -q
- Remove Packager

* Sat Sep  2 2006 Neal Becker <ndbecker2@gmail.com> - 1.0-1
- Remove find_lang
- fix icons/hicolor
- --disable-rpath

* Mon Aug 22 2005 Dag Wieers <dag@wieers.com> - 0.6.4-1 - +/
- Initial package. (using DAR)
